Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.common
Interface ICZContext

All Known Implementing Classes:
  CZAppsContext, CZContext, CZWebAppsContext

public interface ICZContext

All context objects that wish to provide capabilities needed by the CZ runtime environment will implement this interface

Field Summary
`static int` | `LT_APPS_CONTEXT` Represents AppsContext( String pGwyuid, String pTwoTask, String pFndnam, String pApplServerId ) type login.
`static int` | `LT_APPS_DBC_CONTEXT` Represetns AppsContext( String pWebHost, String pWebPort, String pFileName ) type login.
`static int` | `LT_CZ_CONTEXT` Represents CZContext type login
`static int` | `LT_ICX_CONTEXT` This is used when we have a DBC file and icx_session_ticket
`static int` | `LT_MOBILE_CONTEXT` Mobile context
`static java.lang.String` | `RCS_ID`
`static boolean` | `RCS_ID_RECORDED`

Method Summary
`void` | `freeContext()` Releases the resources associated with the context
`oracle.apps.cz.common.UiXmlInitMessage` | `getInitializeMessage()` Returns the parsed XML initialization message.
`int` | `getLoginType()` Gets the context's login type.
`java.lang.String` | `getName()` Returns the context's moniker
`boolean` | `isAlive()` Returns true if connection is alive, false otherwise.
`boolean` | `isCompatibleConnection(oracle.apps.cz.common.UiXmlInitMessage msg)` Returns true if connection is compatible, false otherwise.
`boolean` | `isSessionAlive()` Returns true if db session is alive, false otherwise.
`void` | `setInitializeMessage(oracle.apps.cz.common.UiXmlInitMessage msg)` Sets the parsed XML initialization message.
`void` | `setLoginType(int loginType)` Sets the context's login type.
`void` | `setName(java.lang.String name)` Sets the context's moniker

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

### LT_CZ_CONTEXT

    public static final int LT_CZ_CONTEXT

  Represents CZContext type login

### LT_APPS_CONTEXT

    public static final int LT_APPS_CONTEXT

  Represents AppsContext( String pGwyuid, String pTwoTask, String pFndnam, String pApplServerId ) type login.

### LT_APPS_DBC_CONTEXT

    public static final int LT_APPS_DBC_CONTEXT

  Represetns AppsContext( String pWebHost, String pWebPort, String pFileName ) type login.

### LT_ICX_CONTEXT

    public static final int LT_ICX_CONTEXT

  This is used when we have a DBC file and icx_session_ticket

### LT_MOBILE_CONTEXT

    public static final int LT_MOBILE_CONTEXT

  Mobile context

Method Detail

### getName

    public java.lang.String getName()

  Returns the context's moniker

### setName

    public void setName(java.lang.String name)

  Sets the context's moniker

### getLoginType

    public int getLoginType()

  Gets the context's login type.

### setLoginType

    public void setLoginType(int loginType)

  Sets the context's login type.
  Parameters:
    `loginType` - Login type

### getInitializeMessage

    public oracle.apps.cz.common.UiXmlInitMessage getInitializeMessage()

  Returns the parsed XML initialization message.

### setInitializeMessage

    public void setInitializeMessage(oracle.apps.cz.common.UiXmlInitMessage msg)

  Sets the parsed XML initialization message.

### isAlive

    public boolean isAlive()

  Returns true if connection is alive, false otherwise.

### isSessionAlive

    public boolean isSessionAlive()

  Returns true if db session is alive, false otherwise.

### isCompatibleConnection

    public boolean isCompatibleConnection(oracle.apps.cz.common.UiXmlInitMessage msg)

  Returns true if connection is compatible, false otherwise.

### freeContext

    public void freeContext()

  Releases the resources associated with the context

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.